Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionSlider

    java.lang.Object
      com.trolltech.qt.internal.QSignalEmitterInternal
          com.trolltech.qt.QSignalEmitter
              com.trolltech.qt.QtJambiObject
                  com.trolltech.qt.gui.QStyleOption
                      com.trolltech.qt.gui.QStyleOptionComplex
                          com.trolltech.qt.gui.QStyleOptionSlider

All Implemented Interfaces:
  QtJambiInterface, java.lang.Cloneable

    public class QStyleOptionSlider

extends QStyleOptionComplex
implements java.lang.Cloneable

The `QStyleOptionSlider` class is used to describe the parameters needed for drawing a slider. `QStyleOptionSlider` contains all the information that `QStyle` functions need to draw `QSlider` and `QScrollBar`.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

See also:
  `QStyleOptionComplex`, `QSlider`, and `QScrollBar`.

Nested Class Summary
`static class` | `QStyleOptionSlider.StyleOptionType` This enum is used to hold information about the type of the style option, and is defined for each `QStyleOption` subclass.
`static class` | `QStyleOptionSlider.StyleOptionVersion` This enum is used to hold information about the version of the style option, and is defined for each `QStyleOption` subclass.

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyleOption
`QStyleOption.OptionType`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Nested classes/interfaces inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal`

Field Summary

Fields inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`currentSender`

Constructor Summary
`QStyleOptionSlider()` Constructs a `QStyleOptionSlider`, initializing the members variables to their default values.
`QStyleOptionSlider(QStyleOptionSlider other)` Constructs a copy of the `other` style option.

Method Summary
`QStyleOptionSlider` | `clone()` This method is reimplemented for internal reasons
`boolean` | `dialWrapping()` This variable holds whether the dial should wrap or not.
`int` | `maximum()` This variable holds the maximum value for the slider.
`int` | `minimum()` This variable holds the minimum value for the slider.
`double` | `notchTarget()` This variable holds the number of pixel between notches.
`Qt.Orientation` | `orientation()` This variable holds the slider's orientation (horizontal or vertical).
`int` | `pageStep()` This variable holds the size of the page step of the slider.
`void` | `setDialWrapping(boolean dialWrapping)` This variable holds whether the dial should wrap or not.
`void` | `setMaximum(int maximum)` This variable holds the maximum value for the slider.
`void` | `setMinimum(int minimum)` This variable holds the minimum value for the slider.
`void` | `setNotchTarget(double notchTarget)` This variable holds the number of pixel between notches.
`void` | `setOrientation(Qt.Orientation orientation)` This variable holds the slider's orientation (horizontal or vertical).
`void` | `setPageStep(int pageStep)` This variable holds the size of the page step of the slider.
`void` | `setSingleStep(int singleStep)` This variable holds the size of the single step of the slider.
`void` | `setSliderPosition(int sliderPosition)` This variable holds the position of the slider handle.
`void` | `setSliderValue(int sliderValue)` This variable holds the value of the slider.
`void` | `setTickInterval(int tickInterval)` This variable holds the interval that should be drawn between tick marks.
`void` | `setTickPosition(QSlider.TickPosition tickPosition)` This variable holds the position of the slider's tick marks, if any.
`void` | `setUpsideDown(boolean upsideDown)` This variable holds the slider control orientation.
`int` | `singleStep()` This variable holds the size of the single step of the slider.
`int` | `sliderPosition()` This variable holds the position of the slider handle.
`int` | `sliderValue()` This variable holds the value of the slider.
`int` | `tickInterval()` This variable holds the interval that should be drawn between tick marks.
`QSlider.TickPosition` | `tickPosition()` This variable holds the position of the slider's tick marks, if any.
`boolean` | `upsideDown()` This variable holds the slider control orientation.

Methods inherited from class com.trolltech.qt.gui.QStyleOptionComplex
`activeSubControls, setActiveSubControls, setSubControls, subControls`

Methods inherited from class com.trolltech.qt.gui.QStyleOption
`direction, fontMetrics, initFrom, palette, rect, setDirection, setFontMetrics, setPalette, setRect, setState, setType, setVersion, state, type, version`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`__qt_signalInitialization`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QStyleOptionSlider

    public QStyleOptionSlider()

  Constructs a `QStyleOptionSlider`, initializing the members variables to their default values.

### QStyleOptionSlider

    public QStyleOptionSlider(QStyleOptionSlider other)

  Constructs a copy of the `other` style option.

Method Detail

### setTickInterval

    public final void setTickInterval(int tickInterval)

  This variable holds the interval that should be drawn between tick marks. The default value is 0.

### tickInterval

    public final int tickInterval()

  This variable holds the interval that should be drawn between tick marks. The default value is 0.

### setMinimum

    public final void setMinimum(int minimum)

  This variable holds the minimum value for the slider. The default value is 0.

### minimum

    public final int minimum()

  This variable holds the minimum value for the slider. The default value is 0.

### setNotchTarget

    public final void setNotchTarget(double notchTarget)

  This variable holds the number of pixel between notches. The default value is 0.0.

See also:
  `QDial::notchTarget()`.

### notchTarget

    public final double notchTarget()

  This variable holds the number of pixel between notches. The default value is 0.0.

See also:
  `QDial::notchTarget()`.

### setMaximum

    public final void setMaximum(int maximum)

  This variable holds the maximum value for the slider. The default value is 0.

### maximum

    public final int maximum()

  This variable holds the maximum value for the slider. The default value is 0.

### setSliderPosition

    public final void setSliderPosition(int sliderPosition)

  This variable holds the position of the slider handle. If the slider has active feedback (i.e., `QAbstractSlider::tracking` is true), this value will be the same as sliderValue. Otherwise, it will have the current position of the handle. The default value is 0.

See also:
  `QAbstractSlider::tracking`, and sliderValue.

### sliderPosition

    public final int sliderPosition()

  This variable holds the position of the slider handle. If the slider has active feedback (i.e., `QAbstractSlider::tracking` is true), this value will be the same as sliderValue. Otherwise, it will have the current position of the handle. The default value is 0.

See also:
  `QAbstractSlider::tracking`, and sliderValue.

### setDialWrapping

    public final void setDialWrapping(boolean dialWrapping)

  This variable holds whether the dial should wrap or not. The default value is false, i.e. the dial is not wrapped.

See also:
  `QDial::wrapping()`.

### dialWrapping

    public final boolean dialWrapping()

  This variable holds whether the dial should wrap or not. The default value is false, i.e. the dial is not wrapped.

See also:
  `QDial::wrapping()`.

### setSliderValue

    public final void setSliderValue(int sliderValue)

  This variable holds the value of the slider. If the slider has active feedback (i.e., `QAbstractSlider::tracking` is true), this value will be the same as sliderPosition. Otherwise, it will have the value the slider had before the mouse was pressed.

  The default value is 0.

See also:
  `QAbstractSlider::tracking`, and sliderPosition.

### sliderValue

    public final int sliderValue()

  This variable holds the value of the slider. If the slider has active feedback (i.e., `QAbstractSlider::tracking` is true), this value will be the same as sliderPosition. Otherwise, it will have the value the slider had before the mouse was pressed.

  The default value is 0.

See also:
  `QAbstractSlider::tracking`, and sliderPosition.

### setSingleStep

    public final void setSingleStep(int singleStep)

  This variable holds the size of the single step of the slider. The default value is 0.

See also:
  `QAbstractSlider::singleStep`.

### singleStep

    public final int singleStep()

  This variable holds the size of the single step of the slider. The default value is 0.

See also:
  `QAbstractSlider::singleStep`.

### setTickPosition

    public final void setTickPosition(QSlider.TickPosition tickPosition)

  This variable holds the position of the slider's tick marks, if any. The default value is `QSlider::NoTicks` .

See also:
  `QSlider::TickPosition` .

### tickPosition

    public final QSlider.TickPosition tickPosition()

  This variable holds the position of the slider's tick marks, if any. The default value is `QSlider::NoTicks` .

See also:
  `QSlider::TickPosition` .

### setPageStep

    public final void setPageStep(int pageStep)

  This variable holds the size of the page step of the slider. The default value is 0.

See also:
  `QAbstractSlider::pageStep`.

### pageStep

    public final int pageStep()

  This variable holds the size of the page step of the slider. The default value is 0.

See also:
  `QAbstractSlider::pageStep`.

### setOrientation

    public final void setOrientation(Qt.Orientation orientation)

  This variable holds the slider's orientation (horizontal or vertical). The default orientation is `Qt::Horizontal` .

See also:
  `Qt::Orientation` .

### orientation

    public final Qt.Orientation orientation()

  This variable holds the slider's orientation (horizontal or vertical). The default orientation is `Qt::Horizontal` .

See also:
  `Qt::Orientation` .

### setUpsideDown

    public final void setUpsideDown(boolean upsideDown)

  This variable holds the slider control orientation. Normally a slider increases as it moves up or to the right; upsideDown indicates that it should do the opposite (increase as it moves down or to the left). The default value is false, i.e. the slider increases as it moves up or to the right.

See also:
  `QStyle::sliderPositionFromValue()`, `QStyle::sliderValueFromPosition()`, and `QAbstractSlider::invertedAppearance`.

### upsideDown

    public final boolean upsideDown()

  This variable holds the slider control orientation. Normally a slider increases as it moves up or to the right; upsideDown indicates that it should do the opposite (increase as it moves down or to the left). The default value is false, i.e. the slider increases as it moves up or to the right.

See also:
  `QStyle::sliderPositionFromValue()`, `QStyle::sliderValueFromPosition()`, and `QAbstractSlider::invertedAppearance`.

### clone

    public QStyleOptionSlider clone()

  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `QStyleOptionComplex`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD